> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 북마크

> 인증된 사용자의 북마크한 포스트를 저장하고 관리합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Bookmarks 엔드포인트를 사용하면 인증된 사용자의 북마크된 게시물을 조회, 추가 및 제거할 수 있습니다. 북마크는 비공개이며, 생성한 사용자만 볼 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="북마크 보기" icon="bookmark">
    북마크한 모든 포스트 가져오기
  </Card>

  <Card title="북마크 추가" icon="plus">
    게시물을 북마크에 추가하기
  </Card>

  <Card title="북마크 제거" icon="minus">
    게시물 북마크 해제하기
  </Card>

  <Card title="북마크 폴더" icon="folder">
    북마크를 폴더로 정리하기
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                                                                  | Description      |
| :----- | :---------------------------------------------------------------------------------------- | :--------------- |
| GET    | [`/2/users/:id/bookmarks`](/ko/x-api/users/get-bookmarks)                                 | 사용자의 북마크 가져오기    |
| POST   | [`/2/users/:id/bookmarks`](/ko/x-api/users/create-bookmark)                               | 게시물을 북마크로 추가     |
| DELETE | [`/2/users/:id/bookmarks/:tweet_id`](/ko/x-api/users/delete-bookmark)                     | 북마크에서 제거         |
| GET    | [`/2/users/:id/bookmarks/folders`](/ko/x-api/users/get-bookmark-folders)                  | 북마크 폴더 가져오기      |
| GET    | [`/2/users/:id/bookmarks/folders/:folder_id`](/ko/x-api/users/get-bookmarks-by-folder-id) | 폴더에 포함된 포스트 가져오기 |

***

<div id="example-get-bookmarks">
  ## 예제: 북마크 가져오기
</div>

```bash theme={null}
curl "https://api.x.com/2/users/123456789/bookmarks?\
tweet.fields=created_at,author_id,public_metrics" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-add-bookmark">
  ## 예제: 북마크 추가
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/bookmarks" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) 또는 [3-legged OAuth](/ko/resources/fundamentals/authentication#obtaining-access-tokens-using-3-legged-oauth-flow)를 통한 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="조회 빠른 시작" icon="bookmark" href="/ko/x-api/posts/bookmarks/quickstart/bookmarks-lookup">
    사용자의 북마크 조회
  </Card>

  <Card title="관리 빠른 시작" icon="plus" href="/ko/x-api/posts/bookmarks/quickstart/manage-bookmarks">
    북마크 추가 및 삭제
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/posts/bookmarks/integrate">
    핵심 개념 및 모범 사례
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/bookmarks-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
